package com.bootdo.datas.service;

import com.bootdo.datas.domain.ExpertOpinionDO;
import com.bootdo.datas.domain.GbDataExcelDO;
import com.bootdo.datas.domain.GyDataExcelDO;
import com.bootdo.datas.domain.UnionOpinionDO;
import com.bootdo.datas.dto.GyDataImportDTO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface GyDataService {

    List<GyDataImportDTO> list(Map<String, Object> map);

    int countTotal(Map<String, Object> map);

    String cipherTextImport(String decFlg,int type) throws Exception;

    String plainTextImport(MultipartFile file,int type) throws Exception;

    GyDataImportDTO get(Long id);

    GyDataExcelDO getDataExcel(Long id);

    GbDataExcelDO getGbDataExcel(Long id);

    void batchRemove(Long[] longArray);

    int countTotal4Del(Map<String, Object> map);

    void updateStatus(GyDataImportDTO data,String opinion);

    void addExpertOpinion(ExpertOpinionDO expertOpinionDO);

    void addUnionOpinion(UnionOpinionDO unionOpinionDO);

    String dec(MultipartFile file);


    List<GyDataImportDTO> listRecover(Map<String, Object> map);

    int countRecover(Map<String, Object> map);

    int recover(Long id);

    int batchPhysicalDeletion(Long id);

    void encryptExports(HttpServletResponse responses, String idValue) throws Exception;

    int countAaAssData(Long id);

    List<GyDataImportDTO> dataEntryList(Map<String, Object> map);

    int dataEntryCountTotal(Map<String, Object> map);
}
